Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Interface ITreeContentProvider

All Superinterfaces:
  IContentProvider, IStructuredContentProvider

All Known Implementing Classes:
  BaseWorkbenchContentProvider, PreferenceContentProvider

public interface ITreeContentProvider
extends IStructuredContentProvider

An interface to content providers for tree-structure-oriented viewers.

See Also:
  `AbstractTreeViewer`

Method Summary
`Object[]` | `getChildren(Object parentElement)` Returns the child elements of the given parent element.
`Object` | `getParent(Object element)` Returns the parent for the given element, or `null` indicating that the parent can't be computed.
`boolean` | `hasChildren(Object element)` Returns whether the given element has children.

Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider
`getElements`

Methods inherited from interface org.eclipse.jface.viewers.IContentProvider
`dispose, inputChanged`

Method Detail

### getChildren

    public Object[] getChildren(Object parentElement)

  Returns the child elements of the given parent element.

  The difference between this method and `IStructuredContentProvider.getElements` is that `getElements` is called to obtain the tree viewer's root elements, whereas `getChildren` is used to obtain the children of a given parent element in the tree (including a root).

  The result is not modified by the viewer.

  Parameters:
    `parentElement` - the parent element
  Returns:
    an array of child elements

### getParent

    public Object getParent(Object element)

  Returns the parent for the given element, or `null` indicating that the parent can't be computed. In this case the tree-structured viewer can't expand a given node correctly if requested.

  Parameters:
    `element` - the element
  Returns:
    the parent element, or `null` if it has none or if the parent cannot be computed

### hasChildren

    public boolean hasChildren(Object element)

  Returns whether the given element has children.

  Intended as an optimization for when the viewer does not need the actual children. Clients may be able to implement this more efficiently than `getChildren`.

  Parameters:
    `element` - the element
  Returns:
    `true` if the given element has children, and `false` if it has no children

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.